org.eclipse.actf.model.flash.util

## Class SwfHeaderParser

- java.lang.Object
- - org.eclipse.actf.model.flash.util.SwfHeaderParser

    public class SwfHeaderParser
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SwfHeaderParser(InputStream _in)`

### Method Summary

Methods
`int` `getFrameSizeX()`
`int` `getFrameSizeY()`
`InputStream` `getInputStream()`
`int` `getLength()`
`int` `getVersion()`
`boolean` `isCompressed()`
`void` `parse()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SwfHeaderParser

    public SwfHeaderParser(InputStream _in)

### Method Detail

#### parse

    public void parse()
               throws IOException

Throws:
  `IOException`

#### isCompressed

    public boolean isCompressed()

#### getVersion

    public int getVersion()

#### getLength

    public int getLength()

#### getFrameSizeX

    public int getFrameSizeX()

#### getFrameSizeY

    public int getFrameSizeY()

#### getInputStream

    public InputStream getInputStream()